﻿
using AZ.Compute.Agent;
using Esiur.Net.IIP;
using Esiur.Resource;
using Esiur.Stores;

internal class App
{


    private static async Task Main(string[] args)
    {
        // Create a store to keep objects.
        var system = await Warehouse.Put("sys", new MemoryStore());
        // Create a distibuted server
        var esiurServer = await Warehouse.Put("sys/server", new DistributedServer() { Port = 10001});

        // Add your object to the store
        var service = await Warehouse.Put("sys/agent", new Node());


        // Start your server
        await Warehouse.Open();

        Console.WriteLine("AZ Compute Agent is running.");

    }
}